Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Stream Class Reference

`#include <PSDL_Stream.h>`

List of all members.

## Public Methods
| TAO_PSDL_Stream (void)
| ~TAO_PSDL_Stream (void)
int | open (const char *fname)
| Open the file name to be able to write to it. More...
FILE * | file (void)
| Return the underlying lowlevel file pointer. More...
int | incr_indent (unsigned short flag=1)
| increment the indentation level and by default actually indent the output accordingly. More...
int | decr_indent (unsigned short flag=1)
| decrease the indentation level and by default actually indent the output accordingly. More...
int | reset (void)
| reset indentation level to 0. More...
int | indent (void)
| indent starting next line. More...
int | nl (void)
| put a newline and indent on the next line. More...
int | print (const char *format,...)
| "printf" style variable argument print. More...
TAO_PSDL_Stream & | operator<< (const char *str)
TAO_PSDL_Stream & | operator<< (ACE_CString str)
TAO_PSDL_Stream & | operator<< (const unsigned long num)
TAO_PSDL_Stream & | operator<< (const long num)
## Private Attributes
FILE * | fp_
int | indent_level_

## Constructor & Destructor Documentation

TAO_PSDL_Stream::TAO_PSDL_Stream | ( | void |  | ) |

TAO_PSDL_Stream::~TAO_PSDL_Stream | ( | void |  | ) |

## Member Function Documentation

int TAO_PSDL_Stream::decr_indent | ( | unsigned short | flag = 1 | ) |

| decrease the indentation level and by default actually indent the output accordingly.

FILE * TAO_PSDL_Stream::file | ( | void |  | ) |

| Return the underlying lowlevel file pointer.

int TAO_PSDL_Stream::incr_indent | ( | unsigned short | flag = 1 | ) |

| increment the indentation level and by default actually indent the output accordingly.

int TAO_PSDL_Stream::indent | ( | void |  | ) |

| indent starting next line.

int TAO_PSDL_Stream::nl | ( | void |  | ) |

| put a newline and indent on the next line.

int TAO_PSDL_Stream::open | ( | const char * | fname | ) |

| Open the file name to be able to write to it.

TAO_PSDL_Stream & TAO_PSDL_Stream::operator<< | ( | const long | num | ) |

TAO_PSDL_Stream & TAO_PSDL_Stream::operator<< | ( | const unsigned long | num | ) |

TAO_PSDL_Stream & TAO_PSDL_Stream::operator<< | ( | ACE_CString | str | ) |

TAO_PSDL_Stream & TAO_PSDL_Stream::operator<< | ( | const char * | str | ) |

int TAO_PSDL_Stream::print | ( | const char * | format,
|  | ... |
| ) |

| "printf" style variable argument print.

int TAO_PSDL_Stream::reset | ( | void |  | ) |

| reset indentation level to 0.

## Member Data Documentation

FILE* TAO_PSDL_Stream::fp_`[private]`

int TAO_PSDL_Stream::indent_level_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Stream.h
- PSDL_Stream.cpp